/* Program: ex2-7.c
 * ---------------------------------------------------------------------
 * Solution to exercise 7, series 2.
 *
 * This program reads words and prints them in nice-looking boxes
 * in all uppercase letters.  It stops when the word "peace" is
 * given.
 * ---------------------------------------------------------------------
 * Nikolaos S. Papaspyrou (nickie@softlab.ntua.gr)
 * National Technical University of Athens
 * Department of Electrical Engineering
 * ---------------------------------------------------------------------
 * Course: Programming Techniques (2nd semester)
 * URL:    http://www.softlab.ntua.gr/~nickie/Courses/progtech/
 * ---------------------------------------------------------------------
 */


/* Header files */

#include <stdio.h>
#include <string.h>
#include <ctype.h>


/* Constants */

#define MAX 80


/* Function to print a word in a box */

void printBoxed (char word[])
{
    int len = strlen(word);
    int i;

    printf("\n");
    for (i = 0; i < len; i++)
        printf("****");
    printf("*\n");
    for (i = 0; i < len; i++)
        printf("* %c ", toupper(word[i]));
    printf("*\n");
    for (i = 0; i < len; i++)
        printf("****");
    printf("*\n\n");
}


/* Main program */

int main ()
{
    char word[MAX];

    for (;;) {
        printf("Please, give a word: ");
        scanf("%s", word);

        /* End program if "peace" is read */

        if (strcmp(word, "peace") == 0)
            break;

        printBoxed(word);
    }

    return 0;
}
