/* Program: ex2-8.c
 * ---------------------------------------------------------------------
 * Solution to exercise 8, series 2.
 *
 * This program prints the frequency of letters that occur in a text.
 * ---------------------------------------------------------------------
 * Nikolaos S. Papaspyrou (nickie@softlab.ntua.gr)
 * National Technical University of Athens
 * Department of Electrical Engineering
 * ---------------------------------------------------------------------
 * Course: Programming Techniques (2nd semester)
 * URL:    http://www.softlab.ntua.gr/~nickie/Courses/progtech/
 * ---------------------------------------------------------------------
 */


/* Header files */

#include <stdio.h>
#include <ctype.h>


/* Main program */

int main ()
{
	int freq[26];
	int c, i;

	/* Initialize */
		
	for (i = 0; i < 26; i++)
		freq[i] = 0;

	/* Read the text and compute frequencies */
	
	while ((c = getchar()) != EOF)
		if (isalpha(c))
			freq[tolower(c) - 'a']++;

	/* Print the results */
	
	for (i = 0; i < 26; i++)
		printf("%c : %d\n", 'a' + i, freq[i]);

	return 0;
}
